What is AutoPagex™ plug-in?

AutoPagex™ is an advanced plug-in for Adobe® Acrobat® and Adobe® Acrobat Professional® software. It is designed to automate many tasks related to page editing and management. Software provides functionality to move pages within a document, divide pages into multiple ones, duplicate pages, change page size, insert blank pages, and reverse page order in the document. AutoPagex™ plug-in offers special features for manipulating of page content such as scaling, aligning, shifting and rotating. All page content such as text, images, graphics, annotations can be easily manipulated using these powerful tools. Plug-in features powerful and intuitive user interface that is easy to use for power users as well as for beginners. Batch processing framework is supported (available only in Adobe® Acrobat Professional®). AutoPagex™ plug-in exposes many batch commands that can be used in Acrobat's batch sequences to enhance a document processing workflow.

Feature summary:

  • Enlarge or reduce page size
  • Divide pages into multiple ones
  • Duplicate pages
  • Move pages within a document
  • Reverse page order
  • Insert blank pages with optional text
  • Add white (opaque) margins to cover unwanted page content
  • Add persistent guides
  • Delete blank pages
  • Flatten form fields
  • Scale page content to fit specific margins
  • Enlarge or reduce page content
  • Shift page content on the page
  • Align page content on the page
  • Arbitrary rotate page content without changing a page orientation
  • Repeat page content into number of rows and columns
  • Compute document statistics (page, word, annotation counts and etc.)
  • Use interactive tools to deskew, rotate, crop, scale, mask and shift page content
  • Batch framework support: each operation is available as a batch command for an automated document processing.


System Requirements and Compatability

System Requirements and Compatibility

AutoPagex™ plug-in requires Adobe® Acrobat® or Adobe® Acrobat Professional® software installed on your system.
Plug-in works with full commercial versions 6, 7 and 8.

Some product functionality requires presence of Adobe® Acrobat Professional® (batch processing support, flatten form fields).

Operating system requirements: Microsoft Windows XP/NT/2000/2003/Vista.

IMPORTANT: This plug-in will not work with the free Adobe® Acrobat® Reader.


Installation Details

The installation program automatically determines the path to the latest version of Adobe® Acrobat® software that is installed on your computer. The plug-in will be installed into the "plug-ins" folder of the Adobe® Acrobat® application (standard location for all Acrobat plug-ins). If there are multiple versions of Adobe® Acrobat® on your computer, the plug-in would be installed in the most recent version of the Adobe® Acrobat® software.

The full path to the plug-in is: < Adobe Acrobat Installation Path>\ plug_ins\ AutoPage\ AutoPage.api

Typically, Adobe® Acrobat® is installed to the following location (assuming the version is 8.0): c:\Program Files\Adobe\Acrobat 8.0\Acrobat\

IMPORTANT: Make sure that Adobe® Acrobat® is not running while you are installing the plug-in.
Once the plug-in is installed it should add the following menu items to Adobe® Acrobat® menu: "Plug-ins > AutoPagex Plug-in > ..."


AutoPagex™ Legal Notice

© 2005-2007 EverMap Company, LLC. All rights reserved.

AutoPagex™ User Guide for Windows®

If this guide is distributed with software that includes an end-user agreement, this guide, as well as the software described in it, is furnished under license and may be used or copied only in accordance with the terms of such license. Except as permitted by any such license, no part of this guide may be reproduced, stored in a retrieval system, or transmitted, in any form or by any means, electronic, mechanical, recording, or otherwise, without the prior written permission of EverMap Company, LLC. Please note that the content in this guide is protected under copyright law even if it is not distributed with software that includes an end-user license agreement. The content of this guide is furnished for informational use only, is subject to change without notice, and should not be construed as a commitment by EverMap Company, LLC. EverMap Company, LLC. assumes no responsibility or liability for any errors or inaccuracies that may appear in the informational content contained in this guide.

Please remember that existing artwork or images that you may want to include in your project may be protected under copyright law. The unauthorized incorporation of such material into your new work could be a violation of the rights of the copyright owner. Please be sure to obtain any permission required from the copyright owner.

Any references to company names in sample templates are for demonstration purposes only and are not intended to refer to any actual organization.

Notice to U.S. Government End Users. The Software and Documentation are "Commercial Items," as that term is defined at 48 C.F.R. §2.101, consisting of "Commercial Computer Software" and "Commercial Computer Software Documentation," as such terms are used in 48 C.F.R. §12.212 or 48 C.F.R. §227.7202, as applicable. Consistent with 48 C.F.R. §12.212 or 48 C.F.R. §§227.7202-1 through 227.7202-4, as applicable, the Commercial Computer Software and Commercial Computer Software Documentation are being licensed to U.S. Government end users (a) only as Commercial Items and (b) with only those rights as are granted to all other end users pursuant to the terms and conditions herein. Unpublished-rights reserved under the copyright laws of the United States.

EverMap Company, LLC. , 6370 NW Fair Oaks Dr., Corvallis, OR, 97330, USA.


Functionality Overview

AutoPagex™ is an advanced plug-in for Adobe® Acrobat® and Adobe® Acrobat Professional® software. It is designed to automate many tasks related to page management and content editing. Software provides functionality to move pages within a document, divide pages into multiple, duplicate pages, change page size, insert blank pages, and reverse page order in the document. AutoPagex™ plug-in offers special features for page content management such as scaling, aligning, shifting and rotating. All page content such as text, images, graphics, annotations can be easily manipulated using these powerful tools. Plug-in features powerful and intuitive user interface that is easy to use for power users as well as for beginners. Batch processing framework is supported (available only in Adobe® Acrobat Professional®).

AutoPagex™ is available in Adobe® Acrobat® as "Plug-ins > AutoPagex Plug-in > ..." menu.

AutoPagex™ plug-in provides the following functionality:

Change Page Size
Enlarge or reduce page size (size of the media) to any of the available standard or custom sizes. Media orientation can be changed independently from a content orientation. Page content can be optionally scaled to fit a new media size. This operation is different from page cropping operation available in Adobe® Acrobat® that can only reduce page size and can't scale a page content. It is useful when there is a need to change a media size without affecting the page content or when documents need to be adopted for the new markets that use a different page sizes. European users might want to use this functionality to change ISO page sizes to non-metric traditional sizes when preparing documents for North American marker and vise versa.
Divide Pages
Page can be automatically divided into multiple pages of a different size. For example, a single A2 page can be divided into two A3 pages or four A4 pages. Custom page sizes and page positions can be used to provide a full control over the way a page is divided. Use this operation to split large sheets into several smaller pages. This operation is useful for splitting large engineering drawings or documents that contain multiple logical pages per a single physical page.
Duplicate Pages
Individual pages and page ranges can be easily duplicated. Pages can be duplicated using either "Carbon Copy" or "Page Range" method. "Carbon Copy" method duplicates each page individually and inserts new copies right after each original page. "Page Range" method duplicates a selected page range at once and inserts new copies at the end of the document. New pages appear as exact copies of the corresponding source pages. All text, images, graphics and annotations are duplicated.
Move Pages
Individual pages and page ranges can be easily moved to a different location within a document. They can be inserted after a specific page in a document or placed in the beginning or the end of the PDF document. Out-of-the-box Adobe® Acrobat ® does not provide an easy way to move pages within a single document. First, pages need to be extracted into an intermediate PDF document, deleted from an original document and only after that inserted back into a document at desired location. AutoPagex™ removes all this complexity and provides a convenient, one-step operation for moving pages around.
Reverse Page Order
Page order can be reversed for a whole document or just for a specific page range.
Insert Blank Pages
Blank pages can be inserted into a document. Page size is automatically inherited from a page where new blank pages are inserted. Single line of text can be optionally added to each page. Font style, size, color, and rotation angle can be easily controlled. Text is automatically placed at the center of each "blank" page. This is useful for adding notes such as “This page is intentionally left blank”.
Scale To Margins
Courts and many governmental agencies have strict requirement for page margins. For example, you might have an engineering drawing or a scanned document that goes nearly edge to edge and needs to be modified according to specifications. "Scale To Margins" operation provides a way to adjust page content to fit specified margins and effortlessly meet court/agency requirements. All page content such as text, images, and graphics is automatically enlarged or reduced the best possible way and aligned on the page to ensure the proper margin sizes. Software allows to store and easily access different processing configurations for frequent reuse.
Scale Page Content
Page content such as text, images, graphics, forms and annotations can be enlarged or reduced in size without changing a size of the media.
Shift and Align Page Content
Page content such as text, images, graphics, forms and annotations can be shifted from original position and moved to a different location. Software provides various alignment options such as center of the page and four page corners.
Rotate Page Content
Page content such as text, images, graphics, forms and annotations can be rotated to an arbitrary angle without rotating a page itself. Rotation is performed around 5 possible points such as center of the page and four page corners. This operation is useful when working with scanned documents that might appear slightly rotated relatively to page edges.
Repeat Page Content
New pages can be created by repeating "template" page content into number of rows and columns.
Computing Page and Document Statistics
Compute variety of document statistics (page, word, annotations counts and etc.) for one or more PDF documents at once.

Most operations can be performed on either all pages in the document or just on a selected page range. Odd and even pages can be processed independently. Most operations are also supported as a batch framework command to allow incorporating of AutoPagex™ functionality into your custom document processing workflow.


Changing a page size

Changing Page Size

Media size of any page in the document can be changed by using "Change Page Size" operation. It is available from Acrobat's main menu as "Plug-ins > AutoPagex Plug-in > Change Page Size..." menu entry. Page size (media size) can be changed to one of the supported standard media sizes or a custom page size can be specified. Page orientation can be also changed without rotating a corresponding page content. Optionally, page content can be resized to fit a new media size. Page and its content can be both enlarged or reduce in size. This is what differ this operation from a limited page cropping functionality available in Adobe® Acrobat®. Operation can be applied to all pages in the document or to a selected range of pages. Odd and even pages can be processed independently.

The plug-in supports a number of widely used standard media sizes.

Custom page size can be specified using four different measurement units: millimeters, centimeters, inches or points (1/72 in).

Check "Scale page content proportionally to media size" option to automatically enlarge or reduce page content in proportion to the new media size. If this option is off, then content (text, images, graphics, and annotations) will be left at the same size as on original page.

There are three options that affect page orientation:
"Do not change" - software will keep page orientation as it already specified for each page.
"Portrait" - all processed pages will have page orientation set to 0 degrees.
"Landscape" - all processed pages will have page orientation set to 90 degrees.

Page content is not going to be rotated with a media when a page orientation changes. This is a fundamental difference between this operation (that only affects media) and Acrobat's standard "Rotate Page" operation that rotates both media and content. The example below illustrates this concept.

1. This is an original page that has "Portrait" orientation.

2. This is a result of the changing page orientation to "Landscape". Note that page content is not rotated with the page. Selecting "Scale page content proportionally to media size" option resulted in scaling of the page content proportionally to a new media size.


Dividing Pages

Pages in a document can be divided into several pages of a different size by using "Divide Pages" operation. It is available from Acrobat's main menu as "Plug-ins > AutoPagex Plug-in > Divide Pages..." menu entry. This operation can be used in two modes: automatic and custom. "Automatic" mode provides an easy way to automatically divide original page into 2,4 or 8 smaller pages. At each division step page is automatically divided in half across the longest side. Sample page from a current document is used to specify the original page size. If you want to divide pages using a custom output page size then use "Custom" mode. User can define any number of custom output pages with a completely different sizes and positions. Select "Custom" from the "Output page size" pulldown menu and click "Define Custom Pages..." button to define a custom page division yourself.

Processing parameters such as number of output pages and custom page definitions can be saved into a settings file for further reuse. Click "Save..." button to save processing settings into a file. "Load..." button can be used to reuse previously saved settings file. Settings are saved into a file with APD extension.

IMPORTANT: Dividing pages into multiple ones can significantly increase the size of the output PDF document. This is due to the internal structure of PDF documents where each page maintains its own data structures and has a certain overhead that depends on a number of different factors such as: number of fonts used or presence of bitmap images. AutoPagex™ plug-in deletes all objects that do not appear within a media box (are not visible) such as text elements and annotations. However, software does not cut images, it merely moves them to a proper position. Depending on the content of the particular PDF document, diving pages can produce a drastically different document sizes. For example, if input PDF document has been created by capturing pages with a scanner then dividing such document will multiply the size of the output document in proportion to the number of pages added. This is due to the fact that each page in such documents is represented by a single bitmap image.

Custom page division can be specified using "Custom Settings" dialog that allows entering any number of output pages. Each page is specified as a rectangular area in the original page space. The origin of the page coordinate system is located in the bottom left corner of the page. "Custom Settings" dialog provides functionality to add, edit, and delete output page descriptions as well as change output page order. The order of output page descriptions controls the order of pages in the processed document. For example, if original page is split into 4 different pages, then it will be replaced with 4 pages in the output document. The order of the pages will corresponds to the order they were specified in the "Custom Settings" dialog. Use "Move Up" and "Move Down" buttons to change a page order.

Push "Add..." button to enter new output page description. Each page is described using the following measurements:

  • (X,Y) position of the lower-left corner of the output page in the input page coordinate space. X-coordinate is a horizontal distance from a lower-left corner of the page. Y-coordinate is a vertical distance from a lower-left corner of the page.
  • Width and height of the output page.

All measurements can be specified in one of the four measurement units: millimeters, centimeters, inches or points (1/72 inch).
Existing page description can be edited by selecting a record in the "Output Page Sizes" list and clicking on "Edit..." button. The same result can be achieved by double-clicking on a record in the "Output Page Sizes" list.

Once new page description has been entered it would appear in the "Output Page Sizes" list as well as in "Preview" area. Currently selected page description is highlighted with green shading in the preview area.

Below is a sample of dividing a page into 4 smaller ones using "Automatic" sizing mode:

Original page:

Four smaller output pages - each page is 1/4 of the area of the original input page.


Duplicating Pages

Pages can be duplicated by using "Duplicate Pages" operation. It is available from Acrobat's main menu as "Plug-ins > AutoPagex Plug-in > Duplicate Pages..." menu entry. Two different page duplication methods are supported: "Carbon Copy" and "Page Range".

Carbon Copy Duplication: additional copies of each page are inserted right after the original.
Page Range Duplication: the whole processing page range is duplicated at once. Additional copies are added to the end of the document. Pages can be further moved to a different location by using "Move Pages" operation.

User can control a number of duplicate copies and a processing page range. Each page in the range will be duplicated according to selected method.
Odd and even pages can be processed independently by selecting a corresponding page subset: "All pages", "Odd pages only" and "Even pages only".

Carbon Copy Duplication example:

If pages from 1 to 3 are selected for processing and 1 additional copy of each page is inserted then output document will look like this:

Page Range Duplication example:

If pages from 1 to 3 are selected for processing and 1 additional copy of each page is inserted then output document will look like this:


Moving Pages

Pages can be moved within the document by using "Move Pages" operation. It is available from Acrobat's main menu as "Plug-ins > AutoPagex Plug-in > Move Pages..." menu entry.

Select a range of pages that needs to be moved by entering corresponding page numbers into "Move pages starting from" and "to:" edit boxes. Page numbering in PDF documents starts from 1. Odd or even pages can be optionally selected for the move operation. "Subset" menu offers three possible choices:

"All pages" - all pages in the currently selected page range will be moved.
"Odd pages only" - only odd pages from the currently selected page range will be moved.
"Even pages only" - only even pages from the currently selected page range will be moved.

Pages can be move to the following locations:

  • Before first page of the document
  • After last page of the document
  • After a specific page number

IMPORTANT: Selected pages should not overlap a destination page number. AutoPagex™ plug-in does not allow moving pages if destination page number is inside the input page range. For example, if pages from 1 to 3 need to be moved and inserted after page number 2, then software will display an error message and warn you that these are not correct input parameters. The common solution is to re-formulate the task: the desired page order can be achieved by moving page 4 to the beginning of the document.


Reversing Page Order

Page order can be reversed within a whole document or a specific page range by using "Reverse Page Order" operation. It is available from Acrobat's main menu as "Plug-ins > AutoPagex Plug-in > Reverse Page Order..." menu entry. Select a desired page range and click "OK" button to proceed.


Add White (Opaque) Margins

Select "Plug-ins > AutoPagex Plug-in > Add White Margins..." from the menu to add white opaque margins to one or more pages of your document. This operation allows you to cover any unwanted page content (except annotations) without performing page cropping or changing the page size.

The example below shows page appearance before and after adding white margins to cover punch holes and 4 dark lines around a page:

The operations adds 4 opaque "Path" elements to the content of the page (one on each side of the page) based on user-specified page margins. The "Path" elements cover all page content located in the same area. Please note that margins are specified based on the media size of the page (it is different from a cropping box).

The plug-in can process all pages in the document or just a subset of pages (odd, even, or just a selected page range).


Delete Blank Pages

Select "Plug-ins > AutoPagex Plug-in > Delete Blank Pages..." from the main menu if you need to find and delete blank pages from your document. The plug-in detects blank pages created by document scanning or regular pages without any content. Scanned documents can vary significantly in visual quality and contain noise, scratches, black edges and etc. There are many other parameters that can potentially influence algorithm accuracy such as scanner resolution, bit-depth and etc. The plug-in provides ability to set a desired level of sensitivity to distinguish from what should be perceived as blank page from pages with small but legitimate content. The sensitivity level can be either set using a slider ("more noise" - "less noise" scale) or by selecting a blank sample page. It is suggested to pick a "worst case" sample page (page with a maximum amount of noise) to ensure a correct recognition of blank pages. Setting sensitivity level too high may result in deleting of some legitimate pages that contain a small amount of content.

Click the "Set Blank Page Sensitivity" button to adjust the sensitivity of the algorithm according to your specific document. This will open a "Blank Page Settings" dialog. Move the slider to adjust the sensitivity level or select a sample "blank" page to set the sensitivity level from (recommended).

The plug-in can process all pages in the document or just a subset of pages (odd, even, or just a page range).

The number of deleted blank pages is reported at the end of processing. All detected blank pages are permanently deleted from the processed document. Make sure you keep all necessary backup copies of the original file.


Inserting Blank Pages

One or more blank pages can be inserted anywhere in the document by using "Insert Blank Pages" operation. It is available from Acrobat's main menu as "Plug-ins > AutoPagex Plug-in > Insert Blank Pages..." menu entry. Blank pages can be inserted after any existing page or just before the first or after the last page of the document. User can specify a number of blank pages to insert by entering a desired number into "Number of blank pages to insert" entry box.

Size of the new blank pages is calculated as follows:

  • If blank pages are inserted before the first page of the document, then the size of the existing first page in document will be used as a template.
  • If blank pages are inserted after the last page of the document, then the size of the last page in the document will be used as a template.
  • If blank pages are inserted after a specific page, then the size of that page is used as a template.

Single text line can be optionally added to each inserted page. User can control text content, font name, size, color, and rotation angle. Text is automatically placed at the center of the page.

Selection of fonts is limited to 14 Type 1 fonts that are guaranteed to be a available to the any standard PDF viewer. If "Text" field is left blank then no text is added to the pages. Blank space characters such as space or tab are ignored in the beginning and at the end of the text string.

The following font styles are available (PostScript names):

  • Times−Roman
  • Times−Bold
  • Times−Italic
  • Times−BoldItalic
  • Helvetica
  • Helvetica−Bold
  • Helvetica−Oblique
  • Helvetica−BoldOblique
  • Courier
  • Courier−Bold
  • Courier−Oblique
  • Courier−BoldOblique
  • Symbol
  • ZapfDingbats

Below is an example of the blank page with an optional text rotated at 45 degrees:


Scaling To Page Margins

Page content can be enlarged or reduced to fit specific page margins by using "Scale To Margins" operation. It is available from Acrobat's main menu as "Plug-ins > AutoPagex Plug-in > Scale To Margins..." menu entry. Some legal and/or official documents have very strict requirements for document margins. For example, you might have an engineering drawing or a scanned document that goes nearly edge to edge. "Scale To Margins" operation provides a simple and quick way to adjust page content to fit specified margins. All page content such as text, images, and graphics will be automatically scaled the best way and aligned on the page to ensure the proper margin sizes. However, depending on the page content proportions and required margins it's not always possible to ensure that all four margins (top, bottom, left, and right) are exactly match the specified size. For example, fitting exactly top and bottom margins, left and right margins might be left slightly bigger. After scaling is completed page content needs to be properly aligned. Software provides several alignment options: "Center", "Bottom-left corner", "Bottom-right corner", "Top-left corner", and "Top-right corner". Software also provides an option to scale page content without constraining page proportions. Uncheck "Scale page content proportionally" option if it is acceptable to scale page differently in vertical and horizontal directions.
User can select a range of pages to process and perform the operation on many pages at once. Odd and even pages can be processed independently by selecting a correct page subset.

Software provides a way to save and reuse process settings. Saved settings are named and placed on the "Presets" menu. Selecting a preset configuration from the menu automatically loads all processing parameters and updates all dialog controls. Press "Add Current Settings To Presets..." button to put current processing parameters into the list of saved configurations.


Scaling Page Content

Page content can be enlarged or reduced in size by using "Scale Page Content" operation. It is available from Acrobat's main menu as "Plug-ins > AutoPagex Plug-in > Scale Page Content..." menu entry.
Select a scale factor from the list of presets or enter a custom scaling parameter. Scaling parameter is specified in percents. Scaling factor of 100% corresponds to no changes in scale, while 50% corresponds to size reduction in half and 200% corresponds to doubling the size of the content. The content of a page such as text, images, graphics, annotations will be scaled simultaneously. Scaling operation is performed relatively to selected scaling point. There are 4 possible scaling points: "Center of the page", "Bottom left corner", "Bottom right corner", "Top left corner" and "Top right corner". User can select a range of pages to process and perform the operation on many pages at once. Odd and even pages can be processed independently by selecting a correct page subset.

Below is an example of scaling a page content by 50% (relatively to bottom-left corner of the page):

Note that page size (media size) remained the same, but content size has been reduced in half and it's position has been proportionally changed relatively to the bottom left corner of the page.


Shifting and Aligning Page Content

Position of the page content such as text, images, graphics and annotations can be altered by using "Shift and Align Page Content" operation. It is available from Acrobat's main menu as "Plug-ins > AutoPagex Plug-in > Shift And Align Page Content..." menu entry.
Page content can be automatically aligned on the page by using the following anchor points:

  • Center of the page
  • Center content horizontally
  • Center content vertically
  • Left edge of the page
  • Right edge of the page
  • Top edge of the page
  • Bottom edge of the page
  • Bottom left corner of the page
  • Bottom right corner of the page
  • Top left corner of the page
  • Top right corner of the page

Software computes the extents of the page content on each selected page and automatically shifts its location according to the selected alignment position:

  • If content is aligned to the center of the page, then center of the content extents is moved to the center of the page.
  • If content is aligned to the bottom left corner of the page, then bottom left corner of the content's extents is aligned with bottom left corner of the page.
  • If content is aligned to the bottom right corner of the page, then bottom right corner of the content's extents is aligned with bottom right corner of the page.
  • If content is aligned to the top left corner of the page, then top left corner of the content's extents is aligned with top left corner of the page.
  • If content is aligned to the top right corner of the page, then top right corner of the content's extents is aligned with top right corner of the page.

After performing an alignment operation, page content can be additionally shifted. Select "Shift page content" option to enter optional page shifts. Four different measurement units can be used to specify horizontal and vertical offsets: millimeters, centimeters, inches and points (1/72 inch).
User can select a range of pages to process and perform the operation on many pages at once. Odd and even pages can be processed independently by selecting a correct page subset.

Below is an example of aligning page content to the center of the page.


Rotating Page Content

Page content can be rotated at arbitrary angle by using "Rotate Page Content" operation. It is available from Acrobat's main menu as "Plug-ins > AutoPagex Plug-in > Rotate Page Content..." menu entry.
Rotating angle is specified in decimal degrees with rotation direction specified either as "Clockwise" or "Counterclockwise".
The results of the rotation are greatly depending upon selection of a correct rotation point. The most commonly used is a center of the page. Other options include 4 corners of the page.
User can select a range of pages to process and perform the operation on many pages at once. Odd and even pages can be processed independently by selecting a corresponding page subset.

Here is an example of rotating a scanned page 15 degrees clockwise around the center of a page:

This operation can be also performed interactively by using a "Deskew" tool.


Repeating Page Content

Use "Repeat Page Content" dialog (“Plug-ins > AutoPagex Plug-in > Repeat Page Content...” menu) to create new pages by repeating a page content of the source page multiple times by arranging it into grid. This plug-in arranges source content into a selected number of rows and columns. Use this operation if you need to create and fill new pages with the content of a single “template” page. For example, you can design a single business card page ( 2 × 3½ inches) and then create a new page by repeating it in 3 rows and 4 columns.

The example below, shows a new page created by arranging a template page into two rows and columns.

The "Repeat Page Content" operation uses the following parameters:

“Number of pages to create”
Defines how many new pages need to be created by this operation. All pages will have identical size and appearance.
“Add output pages to”
Defines where to put newly created pages. You can put them into a new document or insert into the source document. There are 3 different options available: new pages can be either inserted after a source page, placed into beginning or appended to the end of the source document.
“Number of rows per page”
Defines how many rows of page content to display.
“Number of columns per page”
Defines how many columns of page content to display.
“Row spacing”
Defines thamount of space that needs to be placed between two adjacent rows.
“Columns spaecing”
Defines the amount of space that needs to be placed between two adjacent columns.
“Scale page content at”
Defines the amount of scaling that needs to be applied to the source page content before placing it on the new page. This parameter is specified in percents. Enter 100 (default value) if no scaling is required.
“Output margins”
Defines page margins for each output page. Please note that only left and bottom margins are used if “Automatically compute custom page size” option is off.
“Automatically compute page size to fit content”
Turn “Automatically compute page size to fit content” option if you do not care about exact dimensions of the output page. The software will automatically compute output page size based on the input parameters. If this option is off, then you can specify exact page dimensions and orientation.
"Output page size"
Use this pulldown menu to select a desired output page size. Select “Custom size” option, if you want to enter a custom page width and height. The plug-in supports a number of widely used standard media sizes.
"Page width and height"
Enter custom page dimensions into these entry boxes. These parameters are only available when "Custom size" is selected as "Output page size" option.
"Rotate output page(s) by 90 degrees”
Check this option to rotate output page 90 degrees clockwise. The orientation of the repated page content will remain the same.

This operation does not significantly increase document size since it does not physically duplicate page content, but rather references a source page content multiple times.


Using Interactive Tools

AutoPagex plug-in adds "AutoPagex" toolbar to the Adobe Acrobat toolbar area:

The toolbar provides quick access to several plug-in functions and offers the following six tools:

- "Deskew Tool" for quickly rotating pages to make them perfectly vertical or horizontal.

- "Crop Page Tool" for instantaneously changing a cropping box of the current page.

- "Enlarge Page Area Tool" for enlarging selected areas to fit the whole page.

- "Cover Areas Tool" for covering selected areas with white rectangles to make underlying page content invisible.

- "Add White Margins Tool" for covering edges of the page with white opaque margins to make unwanted content invisible.

- "Shift Content Tool" to move/shift page content within the page.

The AutoPagex toolbar also adds two convenient buttons that quickly rotate pages by 90 degrees left (counter-clockwise) or right (clockwise). These buttons provide a one-click way to rotate a currently displayed page. If you want to rotate multiple pages at once then use Acrobat's "Document > Rotate Pages..." menu.

Deskew Tool

Document scanning is always introducing a certain skew (page rotation) to the output documents. Deskew tool provides a simple and efficient way of manually deskewing individual pages created by document scanning. Select this tool by clicking on the corresponding toobar icon or select "Plug-ins > AutoPagex Plug-in > Tools > Deskew Tool" from the main menu. Draw a line (click on the starting point of the line and then click on the ending point) that corresponds to a nearly vertical or horizontal feature on the current page (for example: line of text or edge of the scanned page). The current page will be automatically rotated to make the selected line either perfectly vertical or horizontal. This tool supports the "Undo / Redo" functionality. Press "Ctrl-Z" keys on a keyboard or select "Edit > Undo Deskewing Page X" operation from the menu to undo a page deskewing operation.

Crop Page Tool

Use this tool for instantaneously changing a cropping box for a current page. Acrobat's stock "Crop Tool" provides a multi-step interface for changing a cropping box and sometimes is too time consuming. Select this tool by clicking on the corresponding toobar icon or select "Plug-ins > AutoPagex Plug-in > Tools > Crop Page Tool" from the main menu. Use a left-mouse button to draw a "rubber" rectangle that represents a new cropping box for a page. Please note that you can also draw outside of the currently visible page area to expand the current cropping area outside of its present limits. This tool supports "Undo / Redo" functionality. Press "Ctrl-Z" keys on a keyboard or select "Edit > Undo Cropping Page X" operation from the menu to undo cropping.

Enlarge Page Area Tool

Use this tool if you want to enlarge a certain area to fit the whole page. Select this tool by clicking on the corresponding toolbar icon or select "Plug-ins > AutoPagex Plug-in > Tools > Enlarge Page Area Tool" from the main menu. Click on the upper-left corner of the area you want to enlarge and while holding a left mouse button draw a "rubber" rectangle that represents the area you want to enlarge. Once you release the left mouse button, the selected are will be enlarged to fit a current page cropping box. This operation does not change page size - it only scales and shifts page content. This tool supports "Undo / Redo" functionality. Press "Ctrl-Z" keys on a keyboard or select "Edit > Undo Enlarging Page X" operation from the menu to undo a page enlargment operation.

Cover Areas Tool

Use this tool to make unwanted page content invisible. This tool will add a white rectangle to the page content to make everything underneath invisible. This tool does not delete any existing page content. Select this tool by clicking on the corresponding toobar icon or select "Plug-ins > AutoPagex Plug-in > Tools > Cover Areas Tool" from the main menu. Click on the upper-left corner of the area you want to cover and while holding a left mouse button draw a "rubber" rectangle that represents the area you want to make invisible. Once you release a left mouse button, the white rectangle will be added to the page to make underlying content disappear. Please note that using this tool for redacting is not recomended since it does not remove any information from PDF file, but merely covers existing content. This tool supports "Undo / Redo" functionality. Press "Ctrl-Z" keys on a keyboard or select "Edit > Undo Covering Area on Page X" operation from the menu to undo the previous operation.

Add White Margins Tool

Use this tool to add opaque white margins to a page. This tool is similar to "Cover Areas Tool" and uses white rectangles to cover unwanted page content. This tool does not delete any existing page content. Select this tool by clicking on the corresponding toolbar icon or select "Plug-ins > AutoPagex Plug-in > Tools > Add White Margins Tool" from the main menu. Use the left-mouse button to draw a "rubber" rectangle that represents an area on the page that should remain visible. All areas outside this rectangle will be covered with white "path" elements to make underlying content disappear. This tool supports "Undo / Redo" functionality. Press "Ctrl-Z" keys on a keyboard or select "Edit > Undo Adding Marging on Page X" operation from the menu to undo adding white margins.

Shift Content Tool

Use this tool to move page content around the current page. Select this tool by clicking on the corresponding toolbar icon or select "Plug-ins > AutoPagex Plug-in > Tools > Shift Content Tool" from the main menu. Use this to define a "shift vector" for a current page. Click on a any point and then click on another location on the page where you want to move it. This operation will shift all page contents in a direction and distance defined by these two points. This tool supports "Undo / Redo" functionality. Press "Ctrl-Z" keys on a keyboard or select "Edit > Undo Shifting Page X" operation from the menu to undo shifting operation.


Computing Document Statistics

The plug-in provides functionality for computing document statistics for one or more PDF documents at once. Depending on the number of documents and report types, a different statistical report is produced. The report can be viewed on screen and saved to a text file.

Use "Plug-ins > AutoPagex Plug-in > Statistics > For Current File..." to compute and display statistical information for a currently open document. This operation will compute the following statistical data:

  • File version (Acrobat version)
  • File size in bytes
  • Fast web view (Yes/No)
  • First page size
  • Number of pages
  • Number of article threads
  • Number of form fields
  • Number of bookmarks
  • Total number of annotations
  • Number of link annotations
  • Number of text and free text annotations
  • Number of highlights, strikeouts and underlines
  • Number of rubber stamps annotations
  • Number if attached (embedded) files
  • Number of named destinations
  • Document attributes: "Title", "Author", "Subject", "Creator", "Producer", "Keywords".

Use "Plug-ins > AutoPagex Plug-in > Statistics > For Multiple Files..." to compute and display statistical information for multiple PDF documents at once. This operation will compute the following statistical data:

  • Number of files processed
  • Total file size
  • Total number of pages
  • Number of article threads
  • Number of form fields
  • Number of bookmarks
  • Number of annotations
  • Number if attached (embedded) files
  • Number of named destinations
  • Page count and file size for each input PDF file

Use "Plug-ins > AutoPagex Plug-in > Statistics > Count Words in Multiple Files..." to compute word and page counts for multiple PDF documents at once. This operation will compute the following statistical data:

  • Number of files processed
  • Total word count
  • Total page count
  • Word and page counts for each input document


Batch Processing Support

When you apply one or more routine sets of commands to your files, you can save time and keystrokes by using an automated batch sequence - a defined series of commands with specific settings and in a specific order that you apply in a single step. You can apply sequence to a single document, to several documents, or to an entire collection of documents. Your custom batch sequences appear on the list with the predefined sequences in the "Batch Processing" dialog box. When you quit the application, your batch-processing definitions are saved so that you can reuse them in later work sessions.

AutoPagex™ plug-in installs several commands that can be accessed and executed via "Batch Sequences" dialog. These commands may be used alone or inside another batch sequences allowing you to incorporate a page management operations into your existing workflow. You need Adobe® Acrobat Professional® (versions 6.0 and up) in order to have a batch processing available on your system.

AutoPagex™ plug-in exposes the following batch commands:

  • "Add Guides"
  • "Add White Margins"
  • "Change Page Size"
  • "Delete Blank Pages"
  • "Duplicate Pages"
  • "Move Pages"
  • "Insert Blank Pages"
  • "Remove Guides"
  • "Reverse Page Order"
  • "Scale To Margins"
  • "Scale Page Content"
  • "Shift And Align Page Content"
  • "Rotate Page Content"

All commands are located in the "AutoPagex Plug-in" section of the "Edit Sequence" dialog. Batch processing framework is available from Acrobat's main menu as ""Advanced > Batch Processing…" menu entry ("Advanced > Document Processing > Batch Processing..." in Acrobat 8).

Creating a sample batch sequence (using "Change Page Size" command)
1. Select "Advanced > Batch Processing…" from Acrobat's application menu. "Batch sequence" dialog will pop up on the screen.
2. Click "New Sequence…" button and type in a descriptive name for the new sequence. For example, type "ResizePages" and click "OK" button.
3. Click "Select Commands…" button in "Batch Edit Sequence" dialog.
4. Select "AutoPagex Plug-in > Change Page Size..." from the list of available commands in "Edit Sequence" dialog and click "Add>>" button.
5. Now you should see a new "Change Page Size" entry in the batch sequence list on the right side of the dialog.
6. Double click on the "Change Page Size" entry (on the right side of the dialog).
7. "Change Page Size" dialog pops up on the screen. Select desired processing options. Settings will be saved as part of your new batch processing sequence. Click "OK" button to save settings and continue.
8. Click "OK" button in "Edit Sequence" dialog.
9. Set "Select output location" based on processing requirements. Click "OK" button in "Batch Edit Sequence" dialog.
10. Now you have created a new batch processing sequence that can be used on single or multiple documents. This new command will be always available as custom processing sequence in future sessions.

Running a batch sequence

1. Open "Batch Sequences" dialog by selecting "Advanced > Batch Processing…" (Acrobat version 6 and 7) or "Advanced > Document Processing > Batch Processing..." (Acrobat version 8) from Acrobat's main menu.
2. Select desired sequence (for example, "ResizePages") from the list and click "Run Sequence" button.
3. Click "OK" in confirmation dialog and Acrobat will prompt you to select input documents. Make sure that documents you want to process are not currently open in Acrobat viewer.
4. Select one or more input documents and click "OK" button to start processing.


Standard Media Sizes

The plug-in supports the following standard paper sizes:

  • ISO Paper Sizes: from A0 to A8
  • ANSI Paper Sizes: A, B, C, D, E
  • North American Paper Sizes: Executive, Ledger, Legal, Letter
  • Architectural Paper Sizes: from Arch A to Arch E
  • Custom Paper Size

The exact dimensions of each paper size can be found online at http://en.wikipedia.org/wiki/Paper_size.


Why plug-in might not load?

If you have successfully downloaded and installed a plug-in (make sure Adobe Acrobat is not running during installation) but can't find it in the "Plug-ins" menu, then make sure that "Use only certified plug-ins" option in Acrobat application preferences is not set:

1. Start Adobe Acrobat and select "Edit > Preferences..." from the main application menu.

2. Select "General" group of settings (Acrobat 8) or a "Startup" (Acrobat 6,7).

3. Make sure that "Use only certified plug-ins" option is OFF.

4. Save settings and restart Adobe Acrobat.

One of the other possible reasons that plug-in is not available is that there are too many plug-ins already loaded by Adobe® Acrobat® viewer.

There is a limit to the number of plug-ins that can be loaded by the viewer at any one time. The number is variable and dependent on the code generation settings of all loaded plug-ins. Solution: Remove some of the Adobe® Acrobat® plug-ins to reduce number of plug-ins simultaneously used.

If there are multiple version of Adobe® Acrobat® on your computer, plug-in would be installed in the most recent version of the software. Make sure you are using right version of Adobe® Acrobat® software. Once the plug-in is installed it should appear in Adobe® Acrobat® as the menu located at Plug-ins > AutoPagex Plug-in > ...".


Contacting technical support

Technical support can be contacted via e-mail at tech@evermap.com or using special form on our web site at http://www.evermap.com . EverMap LLC. doesn’t provide technical support by phone. Technical support is free of charge for all users of our software, including users of the free evaluation version.